/*
Theme Name: JHR 2026 Tagungen
Template: jhrheinland2025
*/

ul.slick-dots li.slick-active button{
    background: var(--pink-2);
}

input[type="submit"].wpcf7-form-control {
    background: var(--pink-2);
    color: white;
    border: 1px solid var(--pink-2);
    border-radius: 8px;
    font-size: 24px;
    font-weight: bold;
    line-height: 20px;
    padding: 15px 23px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

input[type="submit"].wpcf7-form-control:hover {
    background: white;
    color: var(--pink-2);    
}

.post-password-form p label {
    margin-top: 10px;
}

.post-password-form input[type="submit"] {
    background: var(--pink-2);
    color: white;
    border: 1px solid var(--pink-2);
    border-radius: 8px;
    font-size: 24px;
    font-weight: bold;
    line-height: 20px;
    padding: 15px 23px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    display: block;
    margin-top: 10px;
}

.post-password-form input[type="submit"]:hover {
    background: white;
    color: var(--pink-2);    
}

.wp-block-gallery {
    margin-bottom: 80px;
}

section.text-backgroundimage+section.jugi {
    padding-top: 80px;
}

.contact-label {
    width: 100%;
}

.red-required {
    color: red;
}

.contact-label input,
.contact-label textarea {
    width: 100%
}

.wpcf7-form {
    width: 50%;
    margin: 0 auto;
}

section.boxes-jugi .container .row {
    row-gap: 0px;
}

section.offset-image {
    display: flex;
    justify-content: flex-end;
}

section.boxes-jugi .boxes {
    height: 100%;
}
section.boxes-jugi .boxes .image-wrap {
    padding: unset !important;
    background-color: unset !important;
}

section.boxes-jugi .boxes .image-wrap img {
    height: 100% !important;
    width: 100% !important;
}

section.video {
    video {
        border-radius: 15px;
    }
    .textcontent {
        width: 83%;
        max-width: 940px;
    }
}

section.boxes-with-media.boxes-with-map .textcontent p {
    max-width: 746px;
}

section.linkboxes .textcontent {
    margin-bottom: 100px;
}

section.linkboxes .boxes .box .textcontent-wrap .textcontent {
    margin-bottom: 0px;
}

section.linkboxes .textcontent .button-link {
    margin-top: 27px;
}

section.linkboxes .boxes {
    min-height: fit-content;
}


/* BANNER MIT TEXT UND BILD */


section.fullwidth-text-image .side-image-wrap {
    z-index: 1;
}

section.fullwidth-text-image .textcontent-wrap {
    z-index: 2;
}

section.picture-banner .row {
    align-items: flex-end;
    .text {
        margin-bottom: 83px;
    }
}

section.news {
    border-bottom: 100px solid #F38F2D;
}

section.news .posts-wrap + .button-link {
    float: right;
}

section.news .backgroundimage-wrap {
    margin-top: 50px;
}

section.boxes-with-media {
    padding-top: 91px;
}


/* SLIDER AUS BOXEN */


section.slider-with-boxes .textcontent {
    margin: 70px 0;
}

section.slider-with-boxes .button-link::after {
    display: inline-block;
    content: "»";
    margin-left: 8px;
}

section.slider-with-boxes .slide-card {
    display: flex;
    flex-direction: column;
    min-height: 100%;
}

section.slider-with-boxes .boxes-slider.multiple-slides .slick-slide .slide-text-box {
    background-color: var(--grey-2);
    padding: 20px 30px 30px 30px;
    border-radius: 0px 0px 15px 15px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

section.slider-with-boxes .button-link {
    margin-top: 20px;
}

/* Boxes Slider Arrows */

section.slider-with-boxes .slick-prev,
section.slider-with-boxes .slick-next {
    width: 50px;
    height: 50px;
    top: 50%;
    transform: translateY(-50%);
    background: #FFFFFF;
    border: 1px solid var(--pink-2);
    padding: 5px 0px 5px 12px;
    z-index: 1;
}

section.slider-with-boxes .slick-prev:hover,
section.slider-with-boxes .slick-next:hover {
    background: var(--grey-2);
}

section.slider-with-boxes .slick-next {
    padding: 5px 12px 5px 0px;
}

section.slider-with-boxes .slick-prev svg,
section.slider-with-boxes .slick-next svg {
    display: block;
    stroke: var(--pink-2);
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

section.slider-with-boxes .slick-prev:focus,
section.slider-with-boxes .slick-next:focus {
    outline: none;
}

section.slider-with-boxes .slick-slide {
  padding: 0 49.5px;
}


/* KARTE MIT FILTER DANEBEN */


section.map-with-search .textcontent {
    margin-bottom: 66px;
}

section.map-with-search .boxes-image-wrap .djh-radius-search {
    padding-top: 0px;
}

section.map-with-search .boxes-image-wrap .djh-radius-search .container {
    padding: 0px;
}

section.map-with-search .boxes-image-wrap .djh-radius-search .filter-wrapper {
    flex-direction: column;
    gap: 20px;
}

section.map-with-search .boxes-image-wrap .imagemap {
    padding-top: 30px;
}

section.picture-banner  {
    padding-top: 80px;
}


/* FULLWIDTH TEXT IMAGE */


section.fullwidth-text-image .textcontent-wrap {
    padding: 68px 0 90px 127px;
    .textcontent {
        justify-content: flex-start;
        .button-link::after {
            display: inline-block;
            content: "»";
            margin-left: 6px;
        }
    }
}

section.fullwidth-text-image .image-wrap .image {
        aspect-ratio: unset;
    }


/* AKTUELLES */


section.news {
    border-bottom: unset;
}

section.news .posts-wrap + .button-link {
    float: left !important;
}

section.news + section {
    margin-top: 0px;
}


/* ICONBOXEN */


section.iconboxes {
    padding-top: 90px;
    border-bottom: 100px solid var(--violet);
}

section.iconboxes .boxes .box {
    flex: 0 0 calc((100% - 60px) / 3);
}

section.iconboxes .boxes .box .image-wrap {
    background-color: var(--violet);
    img {
        height: 110.5px !important;
    }
}

section.iconboxes .boxes .box .textcontent-wrap {
    padding: 10px 19px 25px 19px;
    .textcontent h3 {
    text-align: left;
    }
    a.button-link.smaller {
        margin: 0;
    }
}


/* PINKE BOXEN */


section.pink-boxes {
    margin-top: 0;
}

section.pink-boxes .pink-boxes .pink-box .icon-button-wrap .button-link::after {
    display: inline-block;
    content: "»";
    margin-left: 6px;
}

section.text-image .media-wrap img {
    border-radius: 16px;
}


/* BILD/VIDEO MIT TEXT */


section.text-image .textcontent p:last-of-type {
    margin-bottom: 1rem;
}


/* TAGUNGSTREFFPUNKTE */


section.conference-venues {
    overflow: hidden;
}

section.conference-venues .container {
    padding: 100px 15px;
}

section.conference-venues .hostels {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    padding-top: 50px;
}

section.conference-venues .hostel-card {
    display: flex;
    flex-direction: row;
    flex: 1 1 552px;
    width: 100%;
    max-width: 552px;
    height: 360px;
    background-color: white;
    border-radius: 8px;
    z-index: 2;

    .image-wrap {
        max-width: 47%;
        border-radius: 8px 0px 0px 8px;

        img {
            object-fit: cover;
            object-position: center;
            height: 100%;
            border-radius: 8px 0px 0px 8px
        }
    }

    .content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 8px 9px 27px 30px;
        width: 53%;

        .text {
            font-size: 20px;
            line-height: 26px;
        }

        .button-link {
            max-width: 78%;
            display: flex;
            .arrows {
                float:right;
                margin-left: 6px;
                margin-bottom: 2px;
                align-self: end;
            }
        }
    }
}

section.conference-venues .bg-image {
    position: absolute;
    bottom: 0px;
    right: -150px;
    z-index: 1;
}

section.factsheets {
    padding-top: 100px;
    padding-bottom: 100px;
    overflow: clip;
}

section.factsheets h2 {
    margin-bottom: 8px;
}

section.factsheets h3 {
    margin-bottom: 8px;
}

section.factsheets .background-images {
    display: contents;
}

section.factsheets .container {
    z-index: 1;
}

section.factsheets .text {
    max-width: 843px;
}

section.factsheets .factsheet-cards {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin-top: 71px;
}

section.factsheets .container:has(.text > h2:last-child) .factsheet-cards {
    margin-top: 27px;
}

section.factsheets .factsheet-card {
    flex: 1 0 calc(33.33% - 30px);
    font-size: 20px;
    line-height: 25px;
    border-radius: 16px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

section.factsheets .factsheet-card img {
    width: 100%;
    aspect-ratio: 358 / 250;
    object-fit: cover;
}

section.factsheets .factsheet-card .textcontent {
    padding: 20px;
    color: var(--black);
    background-color: var(--grey-2);
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    --webkit-justify-content: space-between;
}

section.factsheets .backgroundimage {
    position: absolute;
}

section.factsheets .backgroundimage.left {
    left: 0;
    bottom: -95px;
}

section.factsheets .backgroundimage.right {
    right: 0;
    bottom: 483px;
}

section.factsheets.has-backgroundimage-bottom {
    padding-bottom: 630px;
}

section.factsheets img.backgroundimage.bottom {
    margin-top: -55px;
    right: -113px;
}

section.factsheets .factsheet-card a.button-link {
    margin-top: 32px;
    font-weight: bold;
}

section.factsheets .overlay {
    position: absolute;
    bottom: 0;
    width: 100%;
    aspect-ratio: 2000 / 260;
}

section.factsheets .factsheet-card {
    flex: 0 0 calc(25% - 30px);
    border-radius: unset;

    & .image-wrap {
        height: auto;
        margin-bottom: 16px;
        border-radius: 8px;
        overflow: hidden;
        position:relative;

        &::after {
            content: '';
            position: absolute;
            inset: 0;
            background-color: rgba(60, 64, 79, 0.4);
            backdrop-filter: blur(1px);
            -webkit-backdrop-filter: blur(1px);
            opacity: 0;
            transition: opacity 0.3s ease-in-out;
            z-index: 1;
        }

        & img {
            aspect-ratio: unset;
            object-fit: cover;
            object-position: center;
            transition: transform 0.3s ease-in-out;
            display: block;       
        }
    }
}

section.factsheets .factsheet-card:hover .image-wrap {
    &::after {
        opacity: 1;
    
    }
    img {
        transform: scale(1.03);
        transition: all 0.3s ease-in-out;
    
    }
}


/* MAGAZINE */


section.magazines .magazine-cards {
    display: flex;
    margin-bottom: 100px;
    align-items: stretch;
}

section.magazines .magazine-card {
    display: flex;
    flex-direction: column;
    align-items: center;
}

section.magazines .magazine-title {
    margin-bottom: 40px;
    text-align: center;
    flex-grow: 1;
}

section.magazines .magazine-link {
    margin-bottom: 60px;
}


/* FRAGEBOGEN MODAL */


#questionnaireModal {
    
    

    .modal-dialog {
        display: flex;
        width: 100%;
        height: auto;
        max-width: 600px;
        max-height: fit-content;
        width: 90%;
        margin: auto;

        .modal-content {
            display: flex;
            flex-direction: column;
            border: 0;
            height: auto;
            background:white;
            border-radius: 16px;
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);

            .modal-header {
                position: unset;
                width: unset;
                .btn-close {
                    position: absolute;
                    right: 16px;
                    top: 24px;
                    padding: 0;
                    min-width: 20px;
                    border: none;
                    background-color: transparent;

                    span {
                        bottom: 2px;
                    }
                }
            }

            .modal-body {
                display: flex;
                flex-direction: column;

                .btn-prev {
                    background: var(--white);
                    color: var(--pink-2);
                    border: 1px solid var(--pink-2);

                    &:hover {
                        background: var(--selected);
                    }
                }

                input[type=radio].form-check-input {
                    accent-color: var(--pink-2);
                    margin-top: 10px;
                }
            }
        }
    }
}


/* TAGUNGS-MAGAZIN BESTELLUNG */

section.text-image .wpcf7 form.wpcf7-form {
    width: 100%;
    padding: 0 5%;
    
}

section.text-image .wpcf7 .wpcf7-form label {
    display: flex;
    flex-direction: column;
    font-size: 20px;
    font-weight: bold;
    width: fit-content;

    .wpcf7-list-item {
        display: inline-flex;
        align-items: center;
    }

    input {
        width: 100%;
    }

    input[type="radio"] {
        -webkit-appearance: none;
        appearance: none;

        width: 20px;
        height: 20px;
        border: 1px solid #777771;
        border-radius: 50%;
        background-color: #EDEDED;
        display: inline-grid;
        place-content: center;
        margin: 0 10px 0 0;
        cursor: pointer;
        transition: all 0.2s ease-in-out;

        &::before {
            content: "";
            width: 10px;
            height: 10px;
            border-radius: 50%;
            background-color: var(--djh-pink);
            transform: scale(0);
            transition: 120ms transform ease-in-out;
        }

        &:checked {
            border-color: var(--djh-pink);
            &::before {
                transform: scale(1);
            }
        }

        &:focus,
        &:focus-visible,
        &:active {
            outline: 2px solid var(--djh-pink) !important;
        }
    }

    input[type="checkbox"] {
        -webkit-appearance: none;
        appearance: none;

        width: 20px;
        min-width: 20px;
        height: 20px;
        border: 1px solid #777771;
        /* border-radius: 50%; */
        background-color: #EDEDED;
        display: inline-grid;
        place-content: center;
        margin: 0 10px 0 0;
        cursor: pointer;
        transition: all 0.2s ease-in-out;

        &::before {
            content: "";
            width: 6px;
            height: 10px;
            border-right: 2px solid var(--djh-pink);
            border-bottom: 2px solid var(--djh-pink);
            transform: scale(0) rotate(45deg);
            transition: 120ms transform ease-in-out;
            margin-bottom: 3px;
        }

        &:checked {
            border-color: var(--djh-pink);
            &::before {
                transform: scale(1) rotate(45deg);
            }
        }
        &:focus,
        &:focus-visible,
        &:active {
            outline: 2px solid var(--djh-pink) !important;
        }
    }

    span.wpcf7-not-valid-tip {
        color: var(--djh-pink);
    }

    input.wpcf7-text {
        border-radius: 8px !important;
        border: 1px solid var(--selected) !important;
        padding: 18px 20px !important;
        font-size: 16px;
        line-height: 20px;
    }

    input.wpcf7-text:hover {
        background-color: var(--selected) !important;
        color: var(--djh-pink) !important;
        transition: 0.2s linear !important;
    }

    input.wpcf7-text focus,
    input.wpcf7-text:focus-visible,
    input.wpcf7-text:active {
        outline: 2px solid var(--djh-pink) !important;
        color: var(--djh-pink) !important;
        background-color: var(--selected) !important;
        outline-offset: 2px !important;
        outline-style: solid !important;
        outline-width: 2px !important;
    }

    .wpcf7-radio span.first {
        margin-left: 0px;
    }
}

section.text-image .wpcf7 .wpcf7-form .wpcf7-acceptance {
    display: block;
    .wpcf7-list-item {
        margin-left: 0px;
        label {
            display: inline-flex;
            flex-direction: row;
            align-items: center;
        }
    }
}


/* MEDIA QUERIES */

@media(min-width:992px) and (max-width: 1150px) {
    section.text-image .wpcf7 .wpcf7-form label .wpcf7-radio {
        display:flex;
        flex-direction:column;
        span {
            margin-left:0px;
        }
    }
}


@media(min-width: 992px) {
    section.fullwidth-text-image {
        max-height: 632px;
        overflow-x: hidden;
    }
    section.fullwidth-text-image .side-image-wrap {
        position: absolute;
        right: -650px;
        top: 150px;
        max-width: 889.2px;
    }

    section.fullwidth-text-image .side-image-wrap .side-image {
        object-position: left bottom;
        aspect-ratio: unset;
    }

    section.fullwidth-text-image .image-wrap {
        max-width: 788px;
    }
}

@media(max-width: 991px) {
    section.fullwidth-text-image .side-image-wrap .side-image {
        object-fit: contain;
        aspect-ratio: unset !important;
    }
    section.fullwidth-text-image .side-image-wrap {
        margin: -100px auto;
    }
    section.fullwidth-text-image .textcontent-wrap {
        padding-left: 40px !important;
        padding-right: 40px !important;
    }
    section.factsheets {
        overflow-x: hidden;
    }

    section.factsheets .factsheet-card .textcontent h3 {
        margin-bottom: 12px;
    }

    section.factsheets .factsheet-cards {
        margin-top: 51px;
        row-gap: 56px;
    }

    section.factsheets .factsheet-card a.button-link {
        margin-top: 62px;
    }

    section.factsheets .factsheet-card {
        flex: 1 0 calc(50% - 30px);
    }

    section.factsheets img.backgroundimage.right {
        right: 0;
        bottom: unset;
        padding-top: 51px;
        position: relative;
        max-width: 70%;
        float: right;
    }

    section.factsheets img.backgroundimage.left {
        position: relative;
        left: -8%;
        bottom: unset;
        margin-bottom: -13%;
        margin-top: -20%;
        width: calc(100% + 50%);
        max-width: unset;
    }
}

@media(max-width: 1173px) {
    section.conference-venues .hostels {
        justify-content: center;
    }
    section.factsheets .factsheet-card {
        flex: 0 0 calc(33% - 30px);
    }
}

@media(max-width: 991px) {
    section.picture-banner:has(.image) .text {
        margin-bottom: 0px;
    }
    section.video .textcontent {
        width: 100%;
    }
    section.boxes-jugi .jugi-box {
        margin-top: 30px;
    }
    section.news .backgroundimage-wrap {
        margin-top: 100px;
    }
}

@media(min-width:768px) and (max-width:991px) {
    section.linkboxes .boxes {
        min-height: fit-content;
    }
    section.linkboxes .boxes .box .textcontent-wrap .textcontent {
        /* margin-bottom: 20px; */
    }
}

@media(max-width: 850px) {
    section.factsheets .factsheet-card {
        flex: 0 0 calc(50% - 30px);
    }
}

@media(min-width:768px) and (max-width: 899px) {
    section.map-with-jugi .boxes-image-wrap .boxes .box .button-wrapper .icon {
        min-width: 80px;
    }
}

@media(min-width:768px) {
    section.slider-with-boxes .slick-prev {
    left: 21.875vw;
    }
    section.slider-with-boxes .slick-next {
    right: 21.875vw;
    }
}

@media(max-width: 768px) {
    section.conference-venues .container:has(.bg-image) {
        padding-bottom: 0px;
    }

    section.conference-venues .bg-image {
        position: relative;
        right: 0px;
        margin-top: -50px;
    }
}

@media(max-width:767px) {
    .wpcf7-form {
        width: 80%;
    }
    section.iconboxes .boxes .box {
        flex: 1 1 100%;
    }
    section.magazines .magazine-cards {
        gap: 70px;
    }
    section.magazines .magazine-link {
        margin-bottom: 40px;
    }
    section.magazines .magazine-title {
        margin-bottom: 20px;
    }
}

@media(max-width: 600px) {
    section.factsheets .factsheet-card {
        flex: 0 0 100%;
    }
}

@media(max-width: 596px) {
    section.text-image .wpcf7 .wpcf7-form label .wpcf7-radio {
        display:flex;
        flex-direction:column;
        span {
            margin-left:0px;
        }
    }
}

@media(max-width: 575px) {
    section.map-with-search .box .button-wrapper img {
        margin-bottom: 16px;
    }
    section.conference-venues .hostel-card {
        flex-direction: column;
        height: auto;
        .image-wrap {
            width: 100%;
            max-width: 100%;
            img {
                border-radius: 8px 8px 0px 0px;
            }
        }
        .content {
            width: 100%;
            max-width: 100%;
            border-radius: 0px 0px 8px 8px;
            .text-wrap {
                margin-bottom: 20px;
            }
        }
    }
}

@media(max-width: 425px) {
    .post-password-form p label {
        display: block;
        margin: 1em auto;
        text-align: center;
    }
    .post-password-form p input[type="submit"] {
        margin: 0 auto;
    }
}